# docAnalyzer.ai API > The docAnalyzer.ai REST API. See the quick start and guide. - Base URL: `https://api.docanalyzer.ai/api/v1` - Authentication: bearer token via the Authorization header ## Settings - [GET /models](https://docanalyzer.ai/docs/api-reference#get_models): List all models - [GET /models/{options}](https://docanalyzer.ai/docs/api-reference#get_models_options): List models filtered by options ## Credits - [GET /credits](https://docanalyzer.ai/docs/api-reference#get_credits): List credits usage for the API key ## Documents - [GET /doc](https://docanalyzer.ai/docs/api-reference#get_doc): List all documents in a given workspace - [POST /doc](https://docanalyzer.ai/docs/api-reference#post_doc): Create a document from a URL - [POST /doc/upload/{options}](https://docanalyzer.ai/docs/api-reference#post_doc_upload_options): Upload document(s) - [GET /doc/{docid}](https://docanalyzer.ai/docs/api-reference#get_doc_docid): Get document information - [PUT /doc/{docid}](https://docanalyzer.ai/docs/api-reference#put_doc_docid): Update document - [DELETE /doc/{docid}](https://docanalyzer.ai/docs/api-reference#delete_doc_docid): Delete document - [GET /doc/{docid}/link](https://docanalyzer.ai/docs/api-reference#get_doc_docid_link): Get a document link - [POST /doc/{docid}/chat](https://docanalyzer.ai/docs/api-reference#post_doc_docid_chat): Chat with a document - [POST /doc/{docid}/ocr](https://docanalyzer.ai/docs/api-reference#post_doc_docid_ocr): Perform OCR (Optical Character Recognition). ## Labels - [GET /label](https://docanalyzer.ai/docs/api-reference#get_label): List all labels in a given workspace - [POST /label](https://docanalyzer.ai/docs/api-reference#post_label): Create a label - [POST /label/{labelid}/upload/{options}](https://docanalyzer.ai/docs/api-reference#post_label_labelid_upload_options): Upload documents associated with label(s) - [GET /label/{labelid}](https://docanalyzer.ai/docs/api-reference#get_label_labelid): Get label information - [PUT /label/{labelid}](https://docanalyzer.ai/docs/api-reference#put_label_labelid): Update label - [DELETE /label/{labelid}](https://docanalyzer.ai/docs/api-reference#delete_label_labelid): Delete label - [POST /label/{labelid}/chat](https://docanalyzer.ai/docs/api-reference#post_label_labelid_chat): Chat with all documents associated with a label